Re: [R] Problem updating mgcv package

From: Prof Brian Ripley <ripley_at_stats.ox.ac.uk>
Date: Mon 14 Mar 2005 - 23:03:18 EST

On Mon, 14 Mar 2005, Arin Basu wrote:

> I tried to update the package mgcv from my current version 1.1-8 to mgcv
> version 1.2. Using the command update.packages("mgcv") to update mgcv
> failed in my computer and the returning message was:
>
> "Error in old.packages(lib.loc=lib.loc, contriburl=contriburl,
> method=method, :no installed.packages for (?invalid) lib.loc=mgcv"
>
> When I typed installed.packages(), I got the following information
>
> libpath = "/usr/local/lib/R/site-library" for the installed package "mgcv".
>
> My next error was when I typed
> update.packages("mgcv",lib.loc="/usr/local/lib/R/site-library").

> It returned the error message,
>
> "error in download.file(url = paste(contriburl, "PACKAGES", sep="/"), :unsupported URL scheme"
>
> What should I do to correctly update this package?

Either update.packages() or install.packages("mgcv")

Please read the help page before posting.

-- 
Brian D. Ripley,                  ripley@stats.ox.ac.uk
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

______________________________________________
R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html
Received on Mon Mar 14 23:07:53 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:30:47 EST